importClass(Packages.com.sun.star.text.XText);
importClass(Packages.javax.swing.JOptionPane);
importClass(Packages.com.sun.star.uno.UnoRuntime);
importClass(Packages.com.sun.star.text.XTextDocument);
importClass(Packages.com.sun.star.text.XTextRange);

oDoc = XSCRIPTCONTEXT.getDocument();
xTextDoc = UnoRuntime.queryInterface(XTextDocument, oDoc);
xText = xTextDoc.getText();

xTextRange_0 = xText.getEnd();
xTextRange_1 = xText.getEnd();

jString_0 = "Hello World (in JavaScript/Atext)\n";
xTextRange_0.setString(jString_0);

jString_1 = jString_0.replace("World", "Mike");
xTextRange_1.setString(jString_1);

JOptionPane.showMessageDialog(null, "Слово: 'World' заменено на слово: 'Mike'");
